aboutsummaryrefslogtreecommitdiff
path: root/completion/notmuch-completion.bash
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2018-02-04 15:33:34 -0500
committerDaniel Kahn Gillmor <dkg@fifthhorseman.net>2018-02-04 15:33:34 -0500
commitd9be1028d47cb7e98b474df420858a690798810b (patch)
treefb37f83ca098129a5301ef141dc6a5007a0972a9 /completion/notmuch-completion.bash
parenta8fb877ad7e960d69ec10887ff79e24bb99c587c (diff)
parent3c4e64d976eb561ac5157df1bbe5882e3e65b583 (diff)
Merge tag 'debian/0.26-1' into debian/stretch-backports
notmuch Debian 0.26-1 upload (same as 0.26)
Diffstat (limited to 'completion/notmuch-completion.bash')
-rw-r--r--completion/notmuch-completion.bash63
1 files changed, 55 insertions, 8 deletions
diff --git a/completion/notmuch-completion.bash b/completion/notmuch-completion.bash
index e4e4b36b..249b9664 100644
--- a/completion/notmuch-completion.bash
+++ b/completion/notmuch-completion.bash
@@ -287,12 +287,16 @@ _notmuch_insert()
sed "s|^$path/||" | grep -v "\(^\|/\)\(cur\|new\|tmp\)$" ) )
return
;;
+ --decrypt)
+ COMPREPLY=( $( compgen -W "true false auto nostash" -- "${cur}" ) )
+ return
+ ;;
esac
! $split &&
case "${cur}" in
--*)
- local options="--create-folder --folder= --keep --no-hooks ${_notmuch_shared_options}"
+ local options="--create-folder --folder= --keep --no-hooks --decrypt= ${_notmuch_shared_options}"
compopt -o nospace
COMPREPLY=( $(compgen -W "$options" -- ${cur}) )
return
@@ -311,11 +315,20 @@ _notmuch_insert()
_notmuch_new()
{
local cur prev words cword split
- _init_completion || return
+ _init_completion -s || return
+
+ $split &&
+ case "${prev}" in
+ --decrypt)
+ COMPREPLY=( $( compgen -W "true false auto nostash" -- "${cur}" ) )
+ return
+ ;;
+ esac
+ ! $split &&
case "${cur}" in
-*)
- local options="--no-hooks --quiet ${_notmuch_shared_options}"
+ local options="--no-hooks --decrypt= --quiet ${_notmuch_shared_options}"
compopt -o nospace
COMPREPLY=( $(compgen -W "${options}" -- ${cur}) )
;;
@@ -337,12 +350,16 @@ _notmuch_reply()
COMPREPLY=( $( compgen -W "all sender" -- "${cur}" ) )
return
;;
+ --decrypt)
+ COMPREPLY=( $( compgen -W "true auto false" -- "${cur}" ) )
+ return
+ ;;
esac
! $split &&
case "${cur}" in
-*)
- local options="--format= --format-version= --reply-to= --decrypt ${_notmuch_shared_options}"
+ local options="--format= --format-version= --reply-to= --decrypt= ${_notmuch_shared_options}"
compopt -o nospace
COMPREPLY=( $(compgen -W "$options" -- ${cur}) )
;;
@@ -417,6 +434,32 @@ _notmuch_search()
esac
}
+_notmuch_reindex()
+{
+ local cur prev words cword split
+ _init_completion -s || return
+
+ $split &&
+ case "${prev}" in
+ --decrypt)
+ COMPREPLY=( $( compgen -W "true false auto nostash" -- "${cur}" ) )
+ return
+ ;;
+ esac
+
+ ! $split &&
+ case "${cur}" in
+ -*)
+ local options="--decrypt= ${_notmuch_shared_options}"
+ compopt -o nospace
+ COMPREPLY=( $(compgen -W "$options" -- ${cur}) )
+ ;;
+ *)
+ _notmuch_search_terms
+ ;;
+ esac
+}
+
_notmuch_address()
{
local cur prev words cword split
@@ -429,7 +472,7 @@ _notmuch_address()
return
;;
--output)
- COMPREPLY=( $( compgen -W "sender recipients count" -- "${cur}" ) )
+ COMPREPLY=( $( compgen -W "sender recipients count address" -- "${cur}" ) )
return
;;
--sort)
@@ -478,12 +521,16 @@ _notmuch_show()
COMPREPLY=( $( compgen -W "true false" -- "${cur}" ) )
return
;;
+ --decrypt)
+ COMPREPLY=( $( compgen -W "true auto false" -- "${cur}" ) )
+ return
+ ;;
esac
! $split &&
case "${cur}" in
-*)
- local options="--entire-thread= --format= --exclude= --body= --format-version= --part= --verify --decrypt --include-html ${_notmuch_shared_options}"
+ local options="--entire-thread= --format= --exclude= --body= --format-version= --part= --verify --decrypt= --include-html ${_notmuch_shared_options}"
compopt -o nospace
COMPREPLY=( $(compgen -W "$options" -- ${cur}) )
;;
@@ -532,7 +579,7 @@ _notmuch_tag()
_notmuch()
{
- local _notmuch_commands="compact config count dump help insert new reply restore search address setup show tag emacs-mua"
+ local _notmuch_commands="compact config count dump help insert new reply restore reindex search address setup show tag emacs-mua"
local arg cur prev words cword split
# require bash-completion with _init_completion
@@ -564,7 +611,7 @@ _notmuch()
esac
elif [ "${arg}" = "help" ]; then
# handle help command specially due to _notmuch_commands usage
- local help_topics="$_notmuch_commands hooks search-terms"
+ local help_topics="$_notmuch_commands hooks search-terms properties"
COMPREPLY=( $(compgen -W "${help_topics}" -- ${cur}) )
else
# complete using _notmuch_subcommand if one exist